Subject: bug#18051: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Jul 2014 11:14:32 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 20 Jul 2014 09:30:32 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Why is it important to you to know that the file is a symlink, if you
> > always want to change its target?
> 
> That's what I want for file modes - but still I want to know/see what
> I'm doing!

But the same problem exists with the size, the time stamp, the
UID/GID, the inode -- you name it.  I fail to see how seeing the mode
bits of the target is important, but the same is not true for the rest
of the attributes.

Or are you just saying that you want to see the attributes of the
target, and _also_ the fact that the file is a symlink?

> And it makes a difference in the organization of the file system.  You
> can use symlinks as some kind of shortcut to move within the file system
> more quickly.  It makes a difference if you remove a shortcut or if you
> erase a whole directory with all its files from your hard drive.  It
> also makes a difference when you think you make a local change, and
> actually cause changes "somewhere else" in the file system.

This just means that we should have an easy way of switching between
the -L view and the non-L view.  Would that solve the problem?